/* A Bison parser, made by GNU Bison 3.7.4.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2020 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

#ifndef YY_YY_CORE_CFG_TAB_H_INCLUDED
# define YY_YY_CORE_CFG_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    FORWARD = 258,                 /* FORWARD  */
    FORWARD_TCP = 259,             /* FORWARD_TCP  */
    FORWARD_TLS = 260,             /* FORWARD_TLS  */
    FORWARD_SCTP = 261,            /* FORWARD_SCTP  */
    FORWARD_UDP = 262,             /* FORWARD_UDP  */
    EXIT = 263,                    /* EXIT  */
    DROP = 264,                    /* DROP  */
    RETURN = 265,                  /* RETURN  */
    BREAK = 266,                   /* BREAK  */
    LOG_TOK = 267,                 /* LOG_TOK  */
    ERROR = 268,                   /* ERROR  */
    ROUTE = 269,                   /* ROUTE  */
    ROUTE_REQUEST = 270,           /* ROUTE_REQUEST  */
    ROUTE_FAILURE = 271,           /* ROUTE_FAILURE  */
    ROUTE_ONREPLY = 272,           /* ROUTE_ONREPLY  */
    ROUTE_REPLY = 273,             /* ROUTE_REPLY  */
    ROUTE_BRANCH = 274,            /* ROUTE_BRANCH  */
    ROUTE_SEND = 275,              /* ROUTE_SEND  */
    ROUTE_EVENT = 276,             /* ROUTE_EVENT  */
    EXEC = 277,                    /* EXEC  */
    SET_HOST = 278,                /* SET_HOST  */
    SET_HOSTPORT = 279,            /* SET_HOSTPORT  */
    SET_HOSTPORTTRANS = 280,       /* SET_HOSTPORTTRANS  */
    PREFIX = 281,                  /* PREFIX  */
    STRIP = 282,                   /* STRIP  */
    STRIP_TAIL = 283,              /* STRIP_TAIL  */
    SET_USERPHONE = 284,           /* SET_USERPHONE  */
    APPEND_BRANCH = 285,           /* APPEND_BRANCH  */
    REMOVE_BRANCH = 286,           /* REMOVE_BRANCH  */
    CLEAR_BRANCHES = 287,          /* CLEAR_BRANCHES  */
    SET_USER = 288,                /* SET_USER  */
    SET_USERPASS = 289,            /* SET_USERPASS  */
    SET_PORT = 290,                /* SET_PORT  */
    SET_URI = 291,                 /* SET_URI  */
    REVERT_URI = 292,              /* REVERT_URI  */
    FORCE_RPORT = 293,             /* FORCE_RPORT  */
    ADD_LOCAL_RPORT = 294,         /* ADD_LOCAL_RPORT  */
    LOCAL_RPORT = 295,             /* LOCAL_RPORT  */
    FORCE_TCP_ALIAS = 296,         /* FORCE_TCP_ALIAS  */
    UDP_MTU = 297,                 /* UDP_MTU  */
    UDP_MTU_TRY_PROTO = 298,       /* UDP_MTU_TRY_PROTO  */
    UDP4_RAW = 299,                /* UDP4_RAW  */
    UDP4_RAW_MTU = 300,            /* UDP4_RAW_MTU  */
    UDP4_RAW_TTL = 301,            /* UDP4_RAW_TTL  */
    IF = 302,                      /* IF  */
    ELSE = 303,                    /* ELSE  */
    SET_ADV_ADDRESS = 304,         /* SET_ADV_ADDRESS  */
    SET_ADV_PORT = 305,            /* SET_ADV_PORT  */
    FORCE_SEND_SOCKET = 306,       /* FORCE_SEND_SOCKET  */
    SET_FWD_NO_CONNECT = 307,      /* SET_FWD_NO_CONNECT  */
    SET_RPL_NO_CONNECT = 308,      /* SET_RPL_NO_CONNECT  */
    SET_FWD_CLOSE = 309,           /* SET_FWD_CLOSE  */
    SET_RPL_CLOSE = 310,           /* SET_RPL_CLOSE  */
    SWITCH = 311,                  /* SWITCH  */
    CASE = 312,                    /* CASE  */
    DEFAULT = 313,                 /* DEFAULT  */
    WHILE = 314,                   /* WHILE  */
    CFG_SELECT = 315,              /* CFG_SELECT  */
    CFG_RESET = 316,               /* CFG_RESET  */
    URIHOST = 317,                 /* URIHOST  */
    URIPORT = 318,                 /* URIPORT  */
    MAX_LEN = 319,                 /* MAX_LEN  */
    SETFLAG = 320,                 /* SETFLAG  */
    RESETFLAG = 321,               /* RESETFLAG  */
    ISFLAGSET = 322,               /* ISFLAGSET  */
    SETAVPFLAG = 323,              /* SETAVPFLAG  */
    RESETAVPFLAG = 324,            /* RESETAVPFLAG  */
    ISAVPFLAGSET = 325,            /* ISAVPFLAGSET  */
    METHOD = 326,                  /* METHOD  */
    URI = 327,                     /* URI  */
    FROM_URI = 328,                /* FROM_URI  */
    TO_URI = 329,                  /* TO_URI  */
    SRCIP = 330,                   /* SRCIP  */
    SRCPORT = 331,                 /* SRCPORT  */
    DSTIP = 332,                   /* DSTIP  */
    DSTPORT = 333,                 /* DSTPORT  */
    TOIP = 334,                    /* TOIP  */
    TOPORT = 335,                  /* TOPORT  */
    SNDIP = 336,                   /* SNDIP  */
    SNDPORT = 337,                 /* SNDPORT  */
    SNDPROTO = 338,                /* SNDPROTO  */
    SNDAF = 339,                   /* SNDAF  */
    PROTO = 340,                   /* PROTO  */
    AF = 341,                      /* AF  */
    MYSELF = 342,                  /* MYSELF  */
    MSGLEN = 343,                  /* MSGLEN  */
    UDP = 344,                     /* UDP  */
    TCP = 345,                     /* TCP  */
    TLS = 346,                     /* TLS  */
    SCTP = 347,                    /* SCTP  */
    WS = 348,                      /* WS  */
    WSS = 349,                     /* WSS  */
    DEBUG_V = 350,                 /* DEBUG_V  */
    FORK = 351,                    /* FORK  */
    FORK_DELAY = 352,              /* FORK_DELAY  */
    MODINIT_DELAY = 353,           /* MODINIT_DELAY  */
    LOGSTDERROR = 354,             /* LOGSTDERROR  */
    LOGFACILITY = 355,             /* LOGFACILITY  */
    LOGNAME = 356,                 /* LOGNAME  */
    LOGCOLOR = 357,                /* LOGCOLOR  */
    LOGPREFIX = 358,               /* LOGPREFIX  */
    LOGPREFIXMODE = 359,           /* LOGPREFIXMODE  */
    LOGENGINETYPE = 360,           /* LOGENGINETYPE  */
    LOGENGINEDATA = 361,           /* LOGENGINEDATA  */
    XAVPVIAPARAMS = 362,           /* XAVPVIAPARAMS  */
    XAVPVIAFIELDS = 363,           /* XAVPVIAFIELDS  */
    LISTEN = 364,                  /* LISTEN  */
    ADVERTISE = 365,               /* ADVERTISE  */
    VIRTUAL = 366,                 /* VIRTUAL  */
    STRNAME = 367,                 /* STRNAME  */
    ALIAS = 368,                   /* ALIAS  */
    SR_AUTO_ALIASES = 369,         /* SR_AUTO_ALIASES  */
    DNS = 370,                     /* DNS  */
    REV_DNS = 371,                 /* REV_DNS  */
    DNS_TRY_IPV6 = 372,            /* DNS_TRY_IPV6  */
    DNS_TRY_NAPTR = 373,           /* DNS_TRY_NAPTR  */
    DNS_SRV_LB = 374,              /* DNS_SRV_LB  */
    DNS_UDP_PREF = 375,            /* DNS_UDP_PREF  */
    DNS_TCP_PREF = 376,            /* DNS_TCP_PREF  */
    DNS_TLS_PREF = 377,            /* DNS_TLS_PREF  */
    DNS_SCTP_PREF = 378,           /* DNS_SCTP_PREF  */
    DNS_RETR_TIME = 379,           /* DNS_RETR_TIME  */
    DNS_SLOW_QUERY_MS = 380,       /* DNS_SLOW_QUERY_MS  */
    DNS_RETR_NO = 381,             /* DNS_RETR_NO  */
    DNS_SERVERS_NO = 382,          /* DNS_SERVERS_NO  */
    DNS_USE_SEARCH = 383,          /* DNS_USE_SEARCH  */
    DNS_SEARCH_FMATCH = 384,       /* DNS_SEARCH_FMATCH  */
    DNS_NAPTR_IGNORE_RFC = 385,    /* DNS_NAPTR_IGNORE_RFC  */
    DNS_CACHE_INIT = 386,          /* DNS_CACHE_INIT  */
    DNS_USE_CACHE = 387,           /* DNS_USE_CACHE  */
    DNS_USE_FAILOVER = 388,        /* DNS_USE_FAILOVER  */
    DNS_CACHE_FLAGS = 389,         /* DNS_CACHE_FLAGS  */
    DNS_CACHE_NEG_TTL = 390,       /* DNS_CACHE_NEG_TTL  */
    DNS_CACHE_MIN_TTL = 391,       /* DNS_CACHE_MIN_TTL  */
    DNS_CACHE_MAX_TTL = 392,       /* DNS_CACHE_MAX_TTL  */
    DNS_CACHE_MEM = 393,           /* DNS_CACHE_MEM  */
    DNS_CACHE_GC_INT = 394,        /* DNS_CACHE_GC_INT  */
    DNS_CACHE_DEL_NONEXP = 395,    /* DNS_CACHE_DEL_NONEXP  */
    DNS_CACHE_REC_PREF = 396,      /* DNS_CACHE_REC_PREF  */
    AUTO_BIND_IPV6 = 397,          /* AUTO_BIND_IPV6  */
    BIND_IPV6_LINK_LOCAL = 398,    /* BIND_IPV6_LINK_LOCAL  */
    IPV6_HEX_STYLE = 399,          /* IPV6_HEX_STYLE  */
    DST_BLST_INIT = 400,           /* DST_BLST_INIT  */
    USE_DST_BLST = 401,            /* USE_DST_BLST  */
    DST_BLST_MEM = 402,            /* DST_BLST_MEM  */
    DST_BLST_TTL = 403,            /* DST_BLST_TTL  */
    DST_BLST_GC_INT = 404,         /* DST_BLST_GC_INT  */
    DST_BLST_UDP_IMASK = 405,      /* DST_BLST_UDP_IMASK  */
    DST_BLST_TCP_IMASK = 406,      /* DST_BLST_TCP_IMASK  */
    DST_BLST_TLS_IMASK = 407,      /* DST_BLST_TLS_IMASK  */
    DST_BLST_SCTP_IMASK = 408,     /* DST_BLST_SCTP_IMASK  */
    IP_FREE_BIND = 409,            /* IP_FREE_BIND  */
    PORT = 410,                    /* PORT  */
    STAT = 411,                    /* STAT  */
    STATS_NAMESEP = 412,           /* STATS_NAMESEP  */
    CHILDREN = 413,                /* CHILDREN  */
    SOCKET_WORKERS = 414,          /* SOCKET_WORKERS  */
    ASYNC_WORKERS = 415,           /* ASYNC_WORKERS  */
    ASYNC_USLEEP = 416,            /* ASYNC_USLEEP  */
    ASYNC_NONBLOCK = 417,          /* ASYNC_NONBLOCK  */
    ASYNC_WORKERS_GROUP = 418,     /* ASYNC_WORKERS_GROUP  */
    CHECK_VIA = 419,               /* CHECK_VIA  */
    PHONE2TEL = 420,               /* PHONE2TEL  */
    MEMLOG = 421,                  /* MEMLOG  */
    MEMDBG = 422,                  /* MEMDBG  */
    MEMSUM = 423,                  /* MEMSUM  */
    MEMSAFETY = 424,               /* MEMSAFETY  */
    MEMJOIN = 425,                 /* MEMJOIN  */
    MEMSTATUSMODE = 426,           /* MEMSTATUSMODE  */
    SIP_PARSER_LOG_ONELINE = 427,  /* SIP_PARSER_LOG_ONELINE  */
    SIP_PARSER_LOG = 428,          /* SIP_PARSER_LOG  */
    SIP_PARSER_MODE = 429,         /* SIP_PARSER_MODE  */
    CORELOG = 430,                 /* CORELOG  */
    SIP_WARNING = 431,             /* SIP_WARNING  */
    SERVER_SIGNATURE = 432,        /* SERVER_SIGNATURE  */
    SERVER_HEADER = 433,           /* SERVER_HEADER  */
    USER_AGENT_HEADER = 434,       /* USER_AGENT_HEADER  */
    REPLY_TO_VIA = 435,            /* REPLY_TO_VIA  */
    LOADMODULE = 436,              /* LOADMODULE  */
    LOADMODULEX = 437,             /* LOADMODULEX  */
    LOADPATH = 438,                /* LOADPATH  */
    MODPARAM = 439,                /* MODPARAM  */
    MODPARAMX = 440,               /* MODPARAMX  */
    CFGENGINE = 441,               /* CFGENGINE  */
    MAXBUFFER = 442,               /* MAXBUFFER  */
    SQL_BUFFER_SIZE = 443,         /* SQL_BUFFER_SIZE  */
    USER = 444,                    /* USER  */
    GROUP = 445,                   /* GROUP  */
    CHROOT = 446,                  /* CHROOT  */
    WDIR = 447,                    /* WDIR  */
    RUNDIR = 448,                  /* RUNDIR  */
    MHOMED = 449,                  /* MHOMED  */
    DISABLE_TCP = 450,             /* DISABLE_TCP  */
    TCP_ACCEPT_ALIASES = 451,      /* TCP_ACCEPT_ALIASES  */
    TCP_ACCEPT_UNIQUE = 452,       /* TCP_ACCEPT_UNIQUE  */
    TCP_CONNECTION_MATCH = 453,    /* TCP_CONNECTION_MATCH  */
    TCP_CHILDREN = 454,            /* TCP_CHILDREN  */
    TCP_CONNECT_TIMEOUT = 455,     /* TCP_CONNECT_TIMEOUT  */
    TCP_SEND_TIMEOUT = 456,        /* TCP_SEND_TIMEOUT  */
    TCP_CON_LIFETIME = 457,        /* TCP_CON_LIFETIME  */
    TCP_POLL_METHOD = 458,         /* TCP_POLL_METHOD  */
    TCP_MAX_CONNECTIONS = 459,     /* TCP_MAX_CONNECTIONS  */
    TLS_MAX_CONNECTIONS = 460,     /* TLS_MAX_CONNECTIONS  */
    TCP_NO_CONNECT = 461,          /* TCP_NO_CONNECT  */
    TCP_SOURCE_IPV4 = 462,         /* TCP_SOURCE_IPV4  */
    TCP_SOURCE_IPV6 = 463,         /* TCP_SOURCE_IPV6  */
    TCP_OPT_FD_CACHE = 464,        /* TCP_OPT_FD_CACHE  */
    TCP_OPT_BUF_WRITE = 465,       /* TCP_OPT_BUF_WRITE  */
    TCP_OPT_CONN_WQ_MAX = 466,     /* TCP_OPT_CONN_WQ_MAX  */
    TCP_OPT_WQ_MAX = 467,          /* TCP_OPT_WQ_MAX  */
    TCP_OPT_RD_BUF = 468,          /* TCP_OPT_RD_BUF  */
    TCP_OPT_WQ_BLK = 469,          /* TCP_OPT_WQ_BLK  */
    TCP_OPT_DEFER_ACCEPT = 470,    /* TCP_OPT_DEFER_ACCEPT  */
    TCP_OPT_DELAYED_ACK = 471,     /* TCP_OPT_DELAYED_ACK  */
    TCP_OPT_SYNCNT = 472,          /* TCP_OPT_SYNCNT  */
    TCP_OPT_LINGER2 = 473,         /* TCP_OPT_LINGER2  */
    TCP_OPT_KEEPALIVE = 474,       /* TCP_OPT_KEEPALIVE  */
    TCP_OPT_KEEPIDLE = 475,        /* TCP_OPT_KEEPIDLE  */
    TCP_OPT_KEEPINTVL = 476,       /* TCP_OPT_KEEPINTVL  */
    TCP_OPT_KEEPCNT = 477,         /* TCP_OPT_KEEPCNT  */
    TCP_OPT_CRLF_PING = 478,       /* TCP_OPT_CRLF_PING  */
    TCP_OPT_ACCEPT_NO_CL = 479,    /* TCP_OPT_ACCEPT_NO_CL  */
    TCP_OPT_ACCEPT_HEP3 = 480,     /* TCP_OPT_ACCEPT_HEP3  */
    TCP_OPT_ACCEPT_HAPROXY = 481,  /* TCP_OPT_ACCEPT_HAPROXY  */
    TCP_CLONE_RCVBUF = 482,        /* TCP_CLONE_RCVBUF  */
    TCP_REUSE_PORT = 483,          /* TCP_REUSE_PORT  */
    TCP_WAIT_DATA = 484,           /* TCP_WAIT_DATA  */
    TCP_SCRIPT_MODE = 485,         /* TCP_SCRIPT_MODE  */
    DISABLE_TLS = 486,             /* DISABLE_TLS  */
    ENABLE_TLS = 487,              /* ENABLE_TLS  */
    TLSLOG = 488,                  /* TLSLOG  */
    TLS_PORT_NO = 489,             /* TLS_PORT_NO  */
    TLS_METHOD = 490,              /* TLS_METHOD  */
    TLS_HANDSHAKE_TIMEOUT = 491,   /* TLS_HANDSHAKE_TIMEOUT  */
    TLS_SEND_TIMEOUT = 492,        /* TLS_SEND_TIMEOUT  */
    SSLv23 = 493,                  /* SSLv23  */
    SSLv2 = 494,                   /* SSLv2  */
    SSLv3 = 495,                   /* SSLv3  */
    TLSv1 = 496,                   /* TLSv1  */
    TLS_VERIFY = 497,              /* TLS_VERIFY  */
    TLS_REQUIRE_CERTIFICATE = 498, /* TLS_REQUIRE_CERTIFICATE  */
    TLS_CERTIFICATE = 499,         /* TLS_CERTIFICATE  */
    TLS_PRIVATE_KEY = 500,         /* TLS_PRIVATE_KEY  */
    TLS_CA_LIST = 501,             /* TLS_CA_LIST  */
    DISABLE_SCTP = 502,            /* DISABLE_SCTP  */
    ENABLE_SCTP = 503,             /* ENABLE_SCTP  */
    SCTP_CHILDREN = 504,           /* SCTP_CHILDREN  */
    ADVERTISED_ADDRESS = 505,      /* ADVERTISED_ADDRESS  */
    ADVERTISED_PORT = 506,         /* ADVERTISED_PORT  */
    DISABLE_CORE = 507,            /* DISABLE_CORE  */
    OPEN_FD_LIMIT = 508,           /* OPEN_FD_LIMIT  */
    SHM_MEM_SZ = 509,              /* SHM_MEM_SZ  */
    SHM_FORCE_ALLOC = 510,         /* SHM_FORCE_ALLOC  */
    MLOCK_PAGES = 511,             /* MLOCK_PAGES  */
    REAL_TIME = 512,               /* REAL_TIME  */
    RT_PRIO = 513,                 /* RT_PRIO  */
    RT_POLICY = 514,               /* RT_POLICY  */
    RT_TIMER1_PRIO = 515,          /* RT_TIMER1_PRIO  */
    RT_TIMER1_POLICY = 516,        /* RT_TIMER1_POLICY  */
    RT_TIMER2_PRIO = 517,          /* RT_TIMER2_PRIO  */
    RT_TIMER2_POLICY = 518,        /* RT_TIMER2_POLICY  */
    MCAST_LOOPBACK = 519,          /* MCAST_LOOPBACK  */
    MCAST_TTL = 520,               /* MCAST_TTL  */
    MCAST = 521,                   /* MCAST  */
    TOS = 522,                     /* TOS  */
    PMTU_DISCOVERY = 523,          /* PMTU_DISCOVERY  */
    KILL_TIMEOUT = 524,            /* KILL_TIMEOUT  */
    MAX_WLOOPS = 525,              /* MAX_WLOOPS  */
    PVBUFSIZE = 526,               /* PVBUFSIZE  */
    PVBUFSLOTS = 527,              /* PVBUFSLOTS  */
    PVCACHELIMIT = 528,            /* PVCACHELIMIT  */
    PVCACHEACTION = 529,           /* PVCACHEACTION  */
    HTTP_REPLY_PARSE = 530,        /* HTTP_REPLY_PARSE  */
    VERSION_TABLE_CFG = 531,       /* VERSION_TABLE_CFG  */
    VERBOSE_STARTUP = 532,         /* VERBOSE_STARTUP  */
    ROUTE_LOCKS_SIZE = 533,        /* ROUTE_LOCKS_SIZE  */
    WAIT_WORKER1_MODE = 534,       /* WAIT_WORKER1_MODE  */
    WAIT_WORKER1_TIME = 535,       /* WAIT_WORKER1_TIME  */
    WAIT_WORKER1_USLEEP = 536,     /* WAIT_WORKER1_USLEEP  */
    CFG_DESCRIPTION = 537,         /* CFG_DESCRIPTION  */
    SERVER_ID = 538,               /* SERVER_ID  */
    KEMI = 539,                    /* KEMI  */
    ONSEND_ROUTE_CALLBACK = 540,   /* ONSEND_ROUTE_CALLBACK  */
    REPLY_ROUTE_CALLBACK = 541,    /* REPLY_ROUTE_CALLBACK  */
    EVENT_ROUTE_CALLBACK = 542,    /* EVENT_ROUTE_CALLBACK  */
    RECEIVED_ROUTE_CALLBACK = 543, /* RECEIVED_ROUTE_CALLBACK  */
    RECEIVED_ROUTE_MODE = 544,     /* RECEIVED_ROUTE_MODE  */
    PRE_ROUTING_CALLBACK = 545,    /* PRE_ROUTING_CALLBACK  */
    MAX_RECURSIVE_LEVEL = 546,     /* MAX_RECURSIVE_LEVEL  */
    MAX_BRANCHES_PARAM = 547,      /* MAX_BRANCHES_PARAM  */
    LATENCY_CFG_LOG = 548,         /* LATENCY_CFG_LOG  */
    LATENCY_LOG = 549,             /* LATENCY_LOG  */
    LATENCY_LIMIT_DB = 550,        /* LATENCY_LIMIT_DB  */
    LATENCY_LIMIT_ACTION = 551,    /* LATENCY_LIMIT_ACTION  */
    LATENCY_LIMIT_CFG = 552,       /* LATENCY_LIMIT_CFG  */
    MSG_TIME = 553,                /* MSG_TIME  */
    ONSEND_RT_REPLY = 554,         /* ONSEND_RT_REPLY  */
    URI_HOST_EXTRA_CHARS = 555,    /* URI_HOST_EXTRA_CHARS  */
    HDR_NAME_EXTRA_CHARS = 556,    /* HDR_NAME_EXTRA_CHARS  */
    FLAGS_DECL = 557,              /* FLAGS_DECL  */
    AVPFLAGS_DECL = 558,           /* AVPFLAGS_DECL  */
    ATTR_MARK = 559,               /* ATTR_MARK  */
    SELECT_MARK = 560,             /* SELECT_MARK  */
    ATTR_FROM = 561,               /* ATTR_FROM  */
    ATTR_TO = 562,                 /* ATTR_TO  */
    ATTR_FROMURI = 563,            /* ATTR_FROMURI  */
    ATTR_TOURI = 564,              /* ATTR_TOURI  */
    ATTR_FROMUSER = 565,           /* ATTR_FROMUSER  */
    ATTR_TOUSER = 566,             /* ATTR_TOUSER  */
    ATTR_FROMDOMAIN = 567,         /* ATTR_FROMDOMAIN  */
    ATTR_TODOMAIN = 568,           /* ATTR_TODOMAIN  */
    ATTR_GLOBAL = 569,             /* ATTR_GLOBAL  */
    ADDEQ = 570,                   /* ADDEQ  */
    SUBST = 571,                   /* SUBST  */
    SUBSTDEF = 572,                /* SUBSTDEF  */
    SUBSTDEFS = 573,               /* SUBSTDEFS  */
    EQUAL = 574,                   /* EQUAL  */
    LOG_OR = 575,                  /* LOG_OR  */
    LOG_AND = 576,                 /* LOG_AND  */
    BIN_OR = 577,                  /* BIN_OR  */
    BIN_AND = 578,                 /* BIN_AND  */
    BIN_XOR = 579,                 /* BIN_XOR  */
    BIN_LSHIFT = 580,              /* BIN_LSHIFT  */
    BIN_RSHIFT = 581,              /* BIN_RSHIFT  */
    EQUAL_T = 582,                 /* EQUAL_T  */
    DIFF = 583,                    /* DIFF  */
    MATCH = 584,                   /* MATCH  */
    INTEQ = 585,                   /* INTEQ  */
    INTDIFF = 586,                 /* INTDIFF  */
    STREQ = 587,                   /* STREQ  */
    STRDIFF = 588,                 /* STRDIFF  */
    GT = 589,                      /* GT  */
    LT = 590,                      /* LT  */
    GTE = 591,                     /* GTE  */
    LTE = 592,                     /* LTE  */
    PLUS = 593,                    /* PLUS  */
    MINUS = 594,                   /* MINUS  */
    STAR = 595,                    /* STAR  */
    SLASH = 596,                   /* SLASH  */
    MODULO = 597,                  /* MODULO  */
    NOT = 598,                     /* NOT  */
    UNARY = 599,                   /* UNARY  */
    BIN_NOT = 600,                 /* BIN_NOT  */
    DEFINED = 601,                 /* DEFINED  */
    INTCAST = 602,                 /* INTCAST  */
    STRCAST = 603,                 /* STRCAST  */
    DOT = 604,                     /* DOT  */
    STRLEN = 605,                  /* STRLEN  */
    STREMPTY = 606,                /* STREMPTY  */
    SELVAL = 607,                  /* SELVAL  */
    NUMBER = 608,                  /* NUMBER  */
    ID = 609,                      /* ID  */
    NUM_ID = 610,                  /* NUM_ID  */
    STRING = 611,                  /* STRING  */
    IPV6ADDR = 612,                /* IPV6ADDR  */
    PVAR = 613,                    /* PVAR  */
    AVP_OR_PVAR = 614,             /* AVP_OR_PVAR  */
    EVENT_RT_NAME = 615,           /* EVENT_RT_NAME  */
    COMMA = 616,                   /* COMMA  */
    SEMICOLON = 617,               /* SEMICOLON  */
    RPAREN = 618,                  /* RPAREN  */
    LPAREN = 619,                  /* LPAREN  */
    LBRACE = 620,                  /* LBRACE  */
    RBRACE = 621,                  /* RBRACE  */
    LBRACK = 622,                  /* LBRACK  */
    RBRACK = 623,                  /* RBRACK  */
    CR = 624,                      /* CR  */
    COLON = 625                    /* COLON  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 198 "core/cfg.y"

	long intval;
	unsigned long uval;
	char* strval;
	struct expr* expr;
	struct action* action;
	struct case_stms* case_stms;
	struct net* ipnet;
	struct ip_addr* ipaddr;
	struct socket_id* sockid;
	struct name_lst* name_l;
	struct avp_spec* attr;
	struct _pv_spec* pvar;
	struct lvalue* lval;
	struct rvalue* rval;
	struct rval_expr* rv_expr;
	select_t* select;

#line 453 "core/cfg.tab.h"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_CORE_CFG_TAB_H_INCLUDED  */
